[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TCustomBufDataset.IndexDefs

Index definitions for the dataset

## Declaration

Source position: bufdataset.pas line 664

`published property TCustomBufDataset.IndexDefs : TIndexDefs read GetIndexDefs;`

## Description

IndexDefs is a read-only TIndexDefs property that contains the index definitions for the buffered dataset. Read access to the property is redirected to an internal TBufDatasetIndexDefs member used for the BufIndexDefs and BufIndexes properties.

## See also

TBufDatasetIndexDefs |  | Container for index definitions and storage added to TBufDataset
TIndexDefs |  | A class to keep a list of index definitions